// $Id: CStdError.h,v 1.2 2003/04/10 07:56:45 ta_muto Exp $
// Error Handler Class under the CGI.

#ifndef __wax_CStdError_h
#define __wax_CStdError_h

#include <common.h>
#include <collection.h>
#include <IWriter.h>

namespace wax {
	class CStdError : public IError {
		IWriter* writer;
		CCollection errors;
	public:
		CStdError(IWriter* initWriter) { writer = initWriter; }
	
		void write(int initCode, const char* message, const char* remarks);
		void flush();
	} ;
}

#endif
